
@font-face {
    font-family: 'Copperplate Gothic';
    src: url('../fonts/CopperplateGothicBoold.woff2') format('woff2'),
        url('../fonts/CopperplateGothicBoold.woff') format('woff');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Copperplate Gothic';
    src: url('../fonts/CopperplateGothic-Light.woff2') format('woff2'),
        url('../fonts/CopperplateGothic-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Copperplate Condensed SSi';
    src: url('../fonts/CopperplateCondensedSSiCondensed.woff2') format('woff2'),
        url('../fonts/CopperplateCondensedSSiCondensed.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Copperplate';
    src: url('../fonts/Copperplate-Bold.woff2') format('woff2'),
        url('../fonts/Copperplate-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'CopperPlate';
    src: url('../fonts/CopperPlate.woff2') format('woff2'),
        url('../fonts/CopperPlate.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

/* SITE CSS */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

#delivery,
#reservas,
#menu,
#contato {
    scroll-margin-top: 130px;
}

body {
    background: #ececec;
    color: #4b4b4b;
}

img {
    width: 100%;
    display: block;
}

.container {
    width: 100%;
    max-width: 1200px;
    margin: auto;
}

.hero,
.video-section {
    height: 100vh;
    background: #000;
    position: relative;
    overflow: hidden;
}

.hero-carousel-img {
    height: 100vh;
    object-fit: cover;
}

.content-cardapio {
    margin-top: 40px;
}

.slick-carousel .item {
    padding: 0 15px;
    outline: none;
}

.slick-carousel .item img {
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.slider-prev,
.slider-next {
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 10px;
    transition: transform 0.2s ease-in-out;
}

.slider-prev:hover,
.slider-next:hover {
    transform: scale(1.1);
}

@media(max-width:1024px) {

    .hero .carousel{
        margin-top: 80px;
    }

    .hero,
    .video-section {
        height: auto;
        background: #000;
        position: relative;
        overflow: hidden;
    }

    .hero-carousel-img {
        height: 40vh;
        object-fit: cover;
    }
}

header {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 10;
    padding: 20px 0;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.logo {
    color: #fff;
    line-height: .8;
}

.logo img{
    width: 200px;
    height:auto;
}

nav {
    display: flex;
    gap: 30px;
    align-items: center;
    margin-top: 15px;
}

nav a {
    color: #FFF;
    font-family: "Aleo", serif;
    font-size: 20px;
    font-style: italic;
    font-weight: 500;
    line-height: 150%;
    letter-spacing: -0.374px;
    text-decoration: none;
}

.menu {
    width: 45px;
    height: 45px;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    z-index: 101;
    padding: 5px;
}

.menu div {
    height: 1px;
    background: #fff;
    margin: 3px 0;
    width: 100%;
}

.menu.active div:nth-child(1) {
    transform: translateY(7px) rotate(45deg);
}

.menu.active div:nth-child(2) {
    opacity: 0;
}

.menu.active div:nth-child(3) {
    transform: translateY(-7px) rotate(-45deg);
}

header.active{
    position: fixed;
    background-color: #3f3f3f;
    transition: 0.4s ease;
}

.center-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: transparent;
    letter-spacing: 5px;
    font-size: 2.2rem;
    font-weight: 300;
}

.about {
    padding: 140px 0 120px;
    text-align: center;
}

.about .mini-logo {
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
}

.about .mini-logo img {
    width: 428px;
    height: auto;
}

.title {
    color: #505A5B;
    text-align: center;
    font-family: 'Copperplate';
    font-style: normal;
    font-weight: 400;
    font-size: 29px;
    line-height: 43px;
    max-width: 1000px;
    letter-spacing: 4px;
    text-transform: uppercase;
    margin: 50px auto;
}

.description {
    font-family: "Aleo", serif;
    margin: 0 auto 20px;
    color: #585B5D;
    text-align: center;
    font-size: 30px;
    font-style: normal;
    font-weight: 300;
    line-height: 120%;
    letter-spacing: -0.33px;
}

.features {
    margin-top: 70px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
}

.feature h4 {
    color: #505A5B;
    text-align: center;
    font-family: 'Copperplate';
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    letter-spacing: -0.22px;
    margin-bottom: 8px;
}

.feature p {
    color: #505A5B;
    text-align: center;
    font-family: "Aleo", serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    letter-spacing: -0.176px;
}

.banner {
    width: 100%;
    height: 700px;
    background: url("../imagens/Pepperoni\ Banner.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.offer {
    padding: 285px 0;
    background-image: url("../imagens/charles.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat
}

.offer-text h3 {
    color: #505A5B;
    font-family: 'CopperPlate';
    font-weight: normal;
    font-style: normal;
    font-size: 33px;
    line-height: 120%;
    letter-spacing: -0.44px;
}

.offer-text .price {
    color: #505A5B;
    font-family: 'CopperPlate';
    font-weight: normal;
    font-style: normal;
    font-size: 33px;
    line-height: 120%;
    letter-spacing: -0.44px;
    margin-bottom: 15px;
}

.offer-text p {
    color: #585B5D;
    font-family: "Aleo", serif;
    font-size: 27px;
    font-style: italic;
    font-weight: 400;
    line-height: 120%; /* 36px */
    letter-spacing: -0.33px;
}

.btn {
    display: inline-block;
    margin-top: 35px;
    padding: 14px 38px;
    border: 2px solid #505A5B;
    border-radius: 20px;
    text-decoration: none;
    color: #505A5B;
    text-align: center;
    font-family: "Aleo", serif;
    font-size: 28px;
    font-style: italic;
    font-weight: 700;
    line-height: 150%; 
    letter-spacing: -0.352px;
    cursor: pointer;
}

.btn:hover {
    background-color: #FFF;
    color: #505A5B!important;
    border: 2px solid #505A5B;
}

.offer-image img {
    height: 650px;
    object-fit: cover;
}

.contact {
    padding: 0 0 120px;
}

.contact-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.left-block {
    padding: 80px 50px 0 0;
}

.left-block h3,
.form-section h3 {
    color: #505A5B;
    font-family: 'CopperPlate';
    font-size: 40px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%; /* 48px */
    letter-spacing: -0.44px;
}

.form-section h3{
    margin-bottom: 100px;
}

.left-block p {
    color: #585B5D;
    font-family: "Aleo", serif;
    font-size: 28px;
    font-style: italic;
    font-weight: 400;
    line-height: 120%;
    letter-spacing: -0.33px;
    margin-top: 40px;
    margin-bottom: 10px;
}

.apps {
    display: flex;
    gap: 12px;
}

.apps a {
    width:265px;
    text-decoration: none;
    padding: 10px 15px;
    border: 2px solid #505A5B;
}

.apps a:hover {
    background-color: #FFF;
    color: #505A5B!important;
    border: 2px solid #505A5B;
    fill: #505A5B!important;
    padding: 10px 15px;
}

.apps a:hover svg path{
    fill: #505A5B!important;
}

.apps a:hover span{
    color: #505A5B!important;
}

.apps a:hover p{
    color: #505A5B!important;
}

.bt-app {
    display: flex;
    border-radius: 25px;
    background: #505A5B;
    justify-content: space-around;
    align-items: center;
}

.bt-app span{
    color: #FFF;
    font-family: "Open Sans", sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%; /* 24px */
    letter-spacing: -0.22px;
    margin: 0;
}

.bt-app p{
    color: #FFF;
    font-family: "Open Sans", sans-serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    letter-spacing: -0.352px;
    margin: 0;
}

.right-block img {
    max-width:600px;
    height: auto;
    position: absolute;
    margin-top: -30px;
}

.form-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    margin-top: 80px;
}

form input,
form textarea {
    width: 100%;
    border: none;
    border-bottom: 2px solid #505A5B;
    background: transparent;
    margin-bottom: 35px;
    padding: 12px 0;
    color: #505A5B;
    font-family: "Aleo", serif;
    font-size: 24px;
    font-style: italic;
    font-weight: 500;
    line-height: 150%;
    letter-spacing: -0.264px;
    outline: none;
}

form textarea {
    border: 2px solid #505A5B;
    min-height: 130px;
    padding: 15px;
    border-radius: 10px;
}

.video-section {
    height: 700px;
}

.footer-carousel-img {
    height: 700px;
    object-fit: cover;
}


@media(max-width:1024px) {

    .video-section {
        height: 350px;
    }

    .footer-carousel-img {
        height: 350px;
        object-fit: cover;
    }
}

footer {
    background: #3f3f3f;
    color: #fff;
    padding: 90px 0;
}

.footer-top {
    border-top: 2px solid #fff;
    border-bottom: 2px solid #fff;
    padding-top: 40px;
    padding-bottom: 40px;
}

.footer-social {
    display: flex;
    gap: 15px;
    margin-bottom: 40px;
}

.footer-social a {
    color: #fff;
    text-decoration: none;
}

.footer-social a img{
    width: 30px;
    height: 30px;
}

.footer-grid {
    display: grid;
    grid-template-columns: 1.5fr 1fr 1fr;
    gap: 50px;
    align-items: end;
}

.footer-logo img {
    width: 300px;
    height: auto;
}

.footer-logo h2 {
    font-size: 6rem;
    font-weight: 500;
}

.footer-logo span {
    margin-left: 90px;
    letter-spacing: 2px;
}

.footer-col h4 {
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: .8rem;
    margin-bottom: 15px;
}

.servicos{
    color: #FFF;
    font-family: 'CopperPlate';
    font-size: 22px;
    font-style: normal;
    font-weight: 400;
    line-height: 46px; 
    letter-spacing: -0.242px;
}

.servicos p a {
    color: #FFF;
    text-decoration: none;
}

.servicos p a:hover {
    text-decoration: underline;
}

.atendimentos h4 {
    text-align: center;
    color: #FFF;
    font-family: 'CopperPlate';
    font-size: .85rem;
    font-style: normal;
    font-weight: 400;
    line-height: 150%; 
    letter-spacing: -0.242px;
}

.atendimentos p {
    text-align: center;
    color: #FFF;
    text-align: center;
    font-family: "Aleo", serif;
    font-size: 22px;
    font-style: normal;
    font-weight: 300;
    line-height: 150%; 
    letter-spacing: -0.242px;
}

.footer-col p {
    color: #FFF;
    font-size: .85rem;
}

.form-buttom{
    width: 351px;
    height: 71px;
    float: right;
}

.internal-header {
    background-color: #3f3f3f;
    position: relative;
}

.page-content {
    padding: 100px 0 120px;
}

.page-content h2 {
    color: #505A5B;
    font-family: 'CopperPlate';
    font-size: 40px;
    margin-bottom: 40px;
    text-align: center;
}

.page-content p {
    font-family: "Aleo", serif;
    color: #585B5D;
    font-size: 24px;
    line-height: 150%;
    margin-bottom: 25px;
}

@media(max-width:1024px) {

    .features,
    .offer-grid,
    .contact-grid,
    .form-grid,
    .footer-grid {
        grid-template-columns: 1fr;
    }

    .logo h1,
    .footer-logo h2 {
        font-size: 4rem;
    }

    .menu {
        display: flex; 
        position: relative;
        flex-shrink: 0; 
    }

    nav {
        position: fixed;
        top: 0;
        right: -100%;
        width: 70%;
        height: 100vh;
        background: #3f3f3f;
        flex-direction: column;
        justify-content: center;
        gap: 40px;
        margin-top: 0;
        transition: 0.4s ease;
        box-shadow: -5px 0 15px rgba(0,0,0,0.3);
        z-index: 100;
    }

    nav.active {
        right: 0;
    }

    nav a {
        font-size: 1.2rem;
    }

    .offer-text {
        margin-bottom: 0px;
        padding: 50px;
    }

    .offer-image img {
        height: auto;
    }

    .right-block img {
        max-width:600px;
        height: auto;
        position: relative;
        margin-top: -30px;
    }

    header {
        padding: 20px 20px;
        background: #3f3f3f;
    }

    .logo img {
        width: 140px;
        height: auto;
    }

    .about {
        padding: 120px 50px 120px;
        text-align: center;
    }

    .offer-text h3 {
        font-size: 28px;
    }

    .offer-text .price {
        font-size: 28px;
    }

    .offer-text p{
        font-size: 24px;
    }

    .left-block {
        padding: 80px 40px;
        text-align: center;
    }

    .right-block img {
        position: relative;
        margin: 0 auto;
    }

    .apps {
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
    }

    .apps a {
        padding: 10px;
        width: 300px;
        margin-top: 25px;
    }

    .footer-social {
        display: flex;
        margin-bottom: 40px;
        justify-content: center;
    }

    .form-grid{
        padding:50px
    }

    .footer-grid {
        display: grid;
        align-items: center;
        justify-items: center;
    }

    .servicos {
        text-align: center;
    }

    .header-content {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

@media(max-width:768px) {
    .about .mini-logo img {
        width: 300px;
        height: auto;
    }

    .offer {
        padding: 85px 0;
        background-image: url(../imagens/charles.png);
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }

    .offer-text {
        margin-bottom: 0px;
        padding: 25px;
        text-align: center;
    }

    .offer-text p {
        font-size: 18px;
    }

    .offer-text h3 {
        font-size: 23px;
    }

    .offer-text .price {
        font-size: 22px;
        margin-top:5px;
        margin-bottom: 15px;
    }

    .left-block {
        padding: 80px 25px;
        text-align: center;
    }

    .left-block h3, .form-section h3 {
        font-size: 22px;
    }

    .page-content h2 {
        font-size: 28px;
    }

    .about {
        padding: 60px 25px 60px;
        text-align: center;
    }

    .title {
        font-size: 20px;
        line-height: 30px;
        margin: 50px auto;
    }

    .description {
        font-size: 23px;
        line-height: 30px;
    }

    .page-content p {
        font-size: 20px;
        line-height: 30px;
    }

    .btn { font-size: 20px; }

    .form-grid {
        padding: 25px;
    }

    .form-buttom{
        width: 100%;
        height: 71px;
        float: none;
    }
}